Bug 119842 - s-c-p cannot print testpage.ps
Summary: s-c-p cannot print testpage.ps
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard: triage|leonardjo|closed|rawhide
Keywords: SELinux
Depends On:
Blocks: 122683
TreeView+ depends on / blocked
 
Reported: 2004-04-02 15:44 UTC by Gene Czarcinski
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version: 1.9.2-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 17:44:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2004-04-02 15:44:29 UTC
Description of problem:
system-config-printer cannot print the test page at
/usr/share/printconf/tests/testpage.ps .. permission denied.

This is similar to (may be a dup of) 119840 but deals with a files
owned by another package.

Comment 1 Gene Czarcinski 2004-04-03 09:12:10 UTC
Apr  3 04:11:58 chaos kernel: audit(1080983518.692:0): avc:  denied  {
getattr } for  pid=21922 exe=/usr/bin/lpr.cups
path=/usr/share/printconf/tests/testpage.ps dev=hda7 ino=931705
scontext=root:sysadm_r:sysadm_lpr_t
tcontext=system_u:object_r:printconf_t tclass=file

Comment 2 Daniel Walsh 2004-04-03 13:00:40 UTC
Fixed in policy-1.9.2-10 

Comment 3 Tim Waugh 2004-04-04 21:46:05 UTC
Doesn't work as user_r.  This was from policy-1.9.2-10:

audit(1081115389.224:0): avc:  denied  { read } for  pid=2969
exe=/usr/bin/lpr.cups name=testpage-a4.ps dev=hdb1 ino=100446
scontext=tim:user_r:user_lpr_t tcontext=system_u:object_r:printconf_t
tclass=file

Comment 4 Daniel Walsh 2004-04-06 10:17:26 UTC
Fixed in policy-1.9.2-12



Note You need to log in before you can comment on or make changes to this bug.